import os
from django.contrib.auth.models import User
from django.contrib.sites.models import Site

# cd /pod/src # GOTO pod src directoy (where is manage.py)
# python manage.py shell < /pod/REPRISE/esup-pod-api-sample/migration/list-files-url-from-db.py > /pod/REPRISE/esup-pod-api-sample/migration/media_files_list_db.txt

# ADAPT - Domain of users and videos
site_domain_keep="mediatheque-pedagogique-test.unicaen.fr"

# ADAPT - Videos base path
base_files_path="/pod/media/files"

keep_site= Site.objects.filter(domain=site_domain_keep)

files_list=[]

users=User.objects.all()
for user in users:
  username=user.username
  userkey=user.owner.hashkey
  if(user.owner.sites.filter(domain=site_domain_keep).exists()) :
    user_files_path=base_files_path+"/"+userkey
    if os.path.isdir(user_files_path):
      for f in os.listdir(user_files_path):
        file_url="https://%s/media/files/%s/%s" % (site_domain_keep,userkey,f)
        if file_url not in files_list:
          print(file_url)
          files_list.append(file_url)
